% Script to analyze the proportion of cells
% that are turned off when using binary power
% allocation in multi-cell networks.
%
% Made by Sigbjorn Dybdahl
% Last edited: May 25, 2007

clear all;
close all;
%clc;

thepath = 'simulation_results/r_5000/N';
number_simulations = 10000;
P_min1 = 0.1;
P_min2 = 0.2;
P_min3 = 0.3;

percentageBIN0=zeros(1,6);
percentageBIN1=zeros(1,6);
percentageBIN2=zeros(1,6);
percentageBIN3=zeros(1,6);


for j=2:7
    
    newpath=[thepath, num2str(j), '/'];
    
    % Load simulation data
    
    load([newpath, 'powerAllocBIN0.mat'], 'powerAllocBIN0');
    load([newpath, 'powerAllocBIN1.mat'], 'powerAllocBIN1');
    load([newpath, 'powerAllocBIN2.mat'], 'powerAllocBIN2');
    load([newpath, 'powerAllocBIN3.mat'], 'powerAllocBIN3');
       
    % Process power allocation data
    powerAllocBIN1=(powerAllocBIN1-P_min1)/(1-P_min1);
    powerAllocBIN2=(powerAllocBIN2-P_min2)/(1-P_min2);
    powerAllocBIN3=(powerAllocBIN3-P_min3)/(1-P_min3);
    
    tempBIN0 = sum(sum(powerAllocBIN0))/(j*number_simulations);
    tempBIN1 = sum(sum(powerAllocBIN1))/(j*number_simulations);
    tempBIN2 = sum(sum(powerAllocBIN2))/(j*number_simulations);
    tempBIN3 = sum(sum(powerAllocBIN3))/(j*number_simulations);
    
    % Store simulation data
    percentageBIN0(j-1) = tempBIN0;
    percentageBIN1(j-1) = tempBIN1;
    percentageBIN2(j-1) = tempBIN2;
    percentageBIN3(j-1) = tempBIN3;
   
end