%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Hexagonal point picking                  %
%   author: Anders Gjendemsjo                %
%   e-mail: gjendems@iet.ntnu.no             %
%                                            %
% Pick N random uniformly distributed        %
% points in a hexagon of (circum)radius R,   %
% with center (0,0).                         %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


clc; clear all;


R=5; %Hexagonal cell radius.

N=10000; %Number of samples.
x = R * rand(1,N);       % Create x uniform in (0,R).
y = (rand(1,N)-0.5)*2*R; % Create y uniform in (-R,R).


%Split the square (0,0 -> R,R) into to similar right trapezoids.
%Use logicals to avoid for loop.
IND = abs(y) + 3*x > 2*R; 
x(IND) = x(IND) - R;
y(IND) = sign(y(IND))*R - y(IND);

%Get the proportions right.
hx = x.*(3/2);
hy=y*sqrt(3/4);

%(scatter)Plot
scatter(hx,hy);
axis([-R R -R R]);