%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%            objfun_baby_uneq.m       %
% Objective function for optimizing   %
% cellular power adaptation.          %
% Unequal powers.                     %
%                                     %
% Author: Anders Gjendemsj           %
% E-mail: gjendems@iet.ntnu.no        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%               Notation                          %
% G = G11 G12                                     %
%     G21 G22                                     %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function capacity = objfun_baby_uneq(p,G,sig1,sig2)
    capacity = log2(1+(p(1)*G(1,1))/(sig1+p(2)*G(1,2)))+log2(1+(p(2)*G(2,2))/(sig2+p(1)*G(2,1)));
end