%Plot for presentation
%plot script.
%Anders Gjendemsj
%E-mail: gjendems@iet.ntnu.no

clc; clear all;
number_simul = 10000;

Cell_users = [1:1:10 11:3:20 24:4:40 44:4:60];
val = 1:16;


%RR-ACMP & RR-ACM
load simul_hex/RR_capacity;
load simul_hex/RR_cap_full_pow;

%MAX-SNR-ACMP & MAX-SNR-ACM
load simul_hex/MAX_SNR_cap_pow_ad;
load simul_hex/MAX_SNR_cap_full_pow;
load simul_hex/freq_cand_MAX_CNR;

%Saad
load simul_hex/simpl_cap_full_pow;

% 1:2:9
load simul_hex/1_1_10/freq_cand;
load simul_hex/1_1_10/sum_cap_full_pow;
load simul_hex/1_1_10/sum_capacity;
PLOT_freq_cand = freq_cand;
PLOT_cap_full_pow = sum_cap_full_pow;
PLOT_sum_capacity = sum_capacity;

load simul_hex/11_3_20/freq_cand;
load simul_hex/11_3_20/sum_cap_full_pow;
load simul_hex/11_3_20/sum_capacity;
PLOT_freq_cand = [PLOT_freq_cand ; freq_cand];
PLOT_cap_full_pow = [PLOT_cap_full_pow sum_cap_full_pow];
PLOT_sum_capacity = [PLOT_sum_capacity sum_capacity];



load simul_hex/24_4_40/freq_cand;
load simul_hex/24_4_40/sum_cap_full_pow;
load simul_hex/24_4_40/sum_capacity;
PLOT_freq_cand = [PLOT_freq_cand ; freq_cand];
PLOT_cap_full_pow = [PLOT_cap_full_pow sum_cap_full_pow];
PLOT_sum_capacity = [PLOT_sum_capacity sum_capacity];



load simul_hex/44_4_60/freq_cand;
load simul_hex/44_4_60/sum_cap_full_pow;
load simul_hex/44_4_60/sum_capacity;
PLOT_freq_cand = [PLOT_freq_cand ; freq_cand];
PLOT_cap_full_pow = [PLOT_cap_full_pow sum_cap_full_pow];
PLOT_sum_capacity = [PLOT_sum_capacity sum_capacity];


%load simuleringer/Cell_users Cell_users;
%load simuleringer/freq_cand freq_cand;
load simul_hex/capacity_1_1_full_pow;
load simul_hex/capacity_1_1_pow_ad;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Plot sum capacity ACM & ACMP   %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%To align for 1 user.
%RR_capacity(1) = PLOT_sum_capacity(1);
%RR_cap_full_pow(1) = PLOT_cap_full_pow(1);

RR_capacity(1:Cell_users(val(end))) = PLOT_sum_capacity(1);
RR_cap_full_pow(1:Cell_users(val(end))) = PLOT_cap_full_pow(1);

figure(1);
hold off;
plot_ACMP_MAX_CAP = plot(Cell_users(val), PLOT_sum_capacity(val)/number_simul,'k');
hold on;
plot_ACM_MAX_CAP = plot(Cell_users(val), PLOT_cap_full_pow(val)/number_simul,'k--');
plot_MAX_CAP_P = plot(Cell_users(val),MAX_SNR_cap_pow_ad(val)/number_simul,'k-*');
plot_MAX_CAP = plot(Cell_users(val),MAX_SNR_cap_full_pow(val)/number_simul,'k-.');
plot_RR_ACMP = plot(1:3:Cell_users(val(end)), RR_capacity(1:3:end)/number_simul,'k-^');
plot_RR_ACM = plot(1:3:Cell_users(val(end)), RR_cap_full_pow(1:3:end)/number_simul,'k-v');
xlabel('Users per cell');
ylabel('System capacity (bits/s/Hz)');
%axis([0 Cell_users(end) 5 16]);
%grid on;
%legend([plot_ACMP_MAX_CAP plot_ACM_MAX_CAP plot_RR_ACMP plot_RR_ACM],'MAX - ACMP','MAX - ACM', 'RR - ACMP','RR - ACM','Location','East');
legend([plot_ACMP_MAX_CAP plot_ACM_MAX_CAP plot_MAX_CAP_P plot_MAX_CAP plot_RR_ACMP plot_RR_ACM],'MAX-CAP-P','MAX-CAP','MAX-SNR-P','MAX-SNR', 'RR-P','RR','Location','East');

figure(2);
hold off;
plot_RR_ACMP = plot(1:3:Cell_users(val(end)), RR_capacity(1:3:end)/number_simul,'k-^');
hold on;
plot_RR_ACM = plot(1:3:Cell_users(val(end)), RR_cap_full_pow(1:3:end)/number_simul,'k-v');
xlabel('Users per cell');
ylabel('System capacity (bits/s/Hz)');
%axis([0 Cell_users(end) 5 16]);
%grid on;
%legend([plot_ACMP_MAX_CAP plot_ACM_MAX_CAP plot_RR_ACMP plot_RR_ACM],'MAX - ACMP','MAX - ACM', 'RR - ACMP','RR - ACM','Location','East');
legend([plot_RR_ACMP plot_RR_ACM],'RR-P','RR','Location','East');
axis([0 30 10 35 ]);

figure(3);
hold off;
plot_MAX_CAP_P = plot(Cell_users(val),MAX_SNR_cap_pow_ad(val)/number_simul,'k-*');
hold on;
plot_MAX_CAP = plot(Cell_users(val),MAX_SNR_cap_full_pow(val)/number_simul,'k-.');
plot_RR_ACMP = plot(1:3:Cell_users(val(end)), RR_capacity(1:3:end)/number_simul,'k-^');
plot_RR_ACM = plot(1:3:Cell_users(val(end)), RR_cap_full_pow(1:3:end)/number_simul,'k-v');
xlabel('Users per cell');
ylabel('System capacity (bits/s/Hz)');
%grid on;
legend([plot_MAX_CAP_P plot_MAX_CAP plot_RR_ACMP plot_RR_ACM],'MAX-SNR-P','MAX-SNR', 'RR-P','RR','Location','East');
axis([0 30 10 35 ]);


%figure(4);

%%%%%%%%%%%%%%%%%%%%%%%
% Plot Pr(R<Abscissa) %
%%%%%%%%%%%%%%%%%%%%%%%
figure(4);
N_s = length(capacity_1_1_pow_ad);
Pr = zeros(1,N_s);
Pr = 1/N_s * (0:1:N_s);

disp(['Average throughput ACMP: ', num2str(mean(capacity_1_1_pow_ad))'.']);
disp(['Average throughput ACM: ', num2str(mean(capacity_1_1_full_pow))'.']);

hold off;
Pow_control_plot = plot([0 sort(capacity_1_1_pow_ad)], Pr,'k');
hold on;
Full_pow_plot = plot([0 sort(capacity_1_1_full_pow)], Pr,'k--');
xlabel('Throughput in bits/s/Hz, R');
ylabel('Pr (R < Abscissa)');
%axis([0 max(max([capacity_1_1_full_pow capacity_1_1_pow_ad])) 0 1]);
axis([0 40 0 1]);
%grid on;
legend([Pow_control_plot Full_pow_plot],'Power Control','Full Power',2);

%exportfig(figure(2),'../figurer/System_cap_vs_users_pres1.eps', 'width',10 ,'fontmode','fixed', 'fontsize',8,'color','cmyk');
%exportfig(figure(3),'../figurer/System_cap_vs_users_pres2.eps', 'width',10 ,'fontmode','fixed', 'fontsize',8,'color','cmyk');
exportfig(figure(4),'../figurer/Pr_less_abscissa_pres.eps', 'width',10,'fontmode','fixed', 'fontsize',8,'color','cmyk');







