%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Script for presentation of        %
% simulation results for 2 cells.   %
% Author: Sigbj?rn Dybdahl          %   
% Last edited: 26. February 2007    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all; close all; clc;

%%% Defining simulation parameters
number_simulations=10000;
users=1:10;
p_max=1;
p_min01=0.1;
p_min02=0.2;

r1=1000;
r2=5000;

%%% Load simulation data

% R=1000
load test/r_1000/ic_100/p_min_01/avg_syst_cap_full_pow.mat;
load test/r_1000/ic_100/p_min_01/avg_syst_cap_max.mat;
load test/r_1000/ic_100/p_min_01/avg_syst_cap_pfs.mat;
load test/r_1000/ic_100/p_min_01/avg_syst_cap_pfspow.mat;
load test/r_1000/ic_100/p_min_01/avg_syst_cap_kim_pfs.mat;
load test/r_1000/ic_100/p_min_01/avg_syst_cap_kim_pfspow.mat;

avg_r_1000_ic_100_pmin01_fp = avg_syst_cap_full_pow;
avg_r_1000_ic_100_pmin01_max = avg_syst_cap_max;
avg_r_1000_ic_100_pmin01_pfs = avg_syst_cap_pfs;
avg_r_1000_ic_100_pmin01_pfsp = avg_syst_cap_pfspow;
avg_r_1000_ic_100_pmin01_kpfs = avg_syst_cap_kim_pfs;
avg_r_1000_ic_100_pmin01_kpfsp = avg_syst_cap_kim_pfspow;

load test/r_1000/ic_1000/p_min_01/avg_syst_cap_full_pow.mat;
load test/r_1000/ic_1000/p_min_01/avg_syst_cap_max.mat;
load test/r_1000/ic_1000/p_min_01/avg_syst_cap_pfs.mat;
load test/r_1000/ic_1000/p_min_01/avg_syst_cap_pfspow.mat;
load test/r_1000/ic_1000/p_min_01/avg_syst_cap_kim_pfs.mat;
load test/r_1000/ic_1000/p_min_01/avg_syst_cap_kim_pfspow.mat;

avg_r_1000_ic_1000_pmin01_fp = avg_syst_cap_full_pow;
avg_r_1000_ic_1000_pmin01_max = avg_syst_cap_max;
avg_r_1000_ic_1000_pmin01_pfs = avg_syst_cap_pfs;
avg_r_1000_ic_1000_pmin01_pfsp = avg_syst_cap_pfspow;
avg_r_1000_ic_1000_pmin01_kpfs = avg_syst_cap_kim_pfs;
avg_r_1000_ic_1000_pmin01_kpfsp = avg_syst_cap_kim_pfspow;

% R=5000
load test/r_5000/ic_100/p_min_01/avg_syst_cap_full_pow.mat;
load test/r_5000/ic_100/p_min_01/avg_syst_cap_max.mat;
load test/r_5000/ic_100/p_min_01/avg_syst_cap_pfs.mat;
load test/r_5000/ic_100/p_min_01/avg_syst_cap_pfspow.mat;
load test/r_5000/ic_100/p_min_01/avg_syst_cap_kim_pfs.mat;
load test/r_5000/ic_100/p_min_01/avg_syst_cap_kim_pfspow.mat;

avg_r_5000_ic_100_pmin01_fp = avg_syst_cap_full_pow;
avg_r_5000_ic_100_pmin01_max = avg_syst_cap_max;
avg_r_5000_ic_100_pmin01_pfs = avg_syst_cap_pfs;
avg_r_5000_ic_100_pmin01_pfsp = avg_syst_cap_pfspow;
avg_r_5000_ic_100_pmin01_kpfs = avg_syst_cap_kim_pfs;
avg_r_5000_ic_100_pmin01_kpfsp = avg_syst_cap_kim_pfspow;

load test/r_5000/ic_1000/p_min_01/avg_syst_cap_full_pow.mat;
load test/r_5000/ic_1000/p_min_01/avg_syst_cap_max.mat;
load test/r_5000/ic_1000/p_min_01/avg_syst_cap_pfs.mat;
load test/r_5000/ic_1000/p_min_01/avg_syst_cap_pfspow.mat;
load test/r_5000/ic_1000/p_min_01/avg_syst_cap_kim_pfs.mat;
load test/r_5000/ic_1000/p_min_01/avg_syst_cap_kim_pfspow.mat;

avg_r_5000_ic_1000_pmin01_fp = avg_syst_cap_full_pow;
avg_r_5000_ic_1000_pmin01_max = avg_syst_cap_max;
avg_r_5000_ic_1000_pmin01_pfs = avg_syst_cap_pfs;
avg_r_5000_ic_1000_pmin01_pfsp = avg_syst_cap_pfspow;
avg_r_5000_ic_1000_pmin01_kpfs = avg_syst_cap_kim_pfs;
avg_r_5000_ic_1000_pmin01_kpfsp = avg_syst_cap_kim_pfspow;

% R=1000
load test/r_1000/ic_100/p_min_01/freq_cand_max.mat;
load test/r_1000/ic_100/p_min_01/freq_cand_pfspow.mat;
load test/r_1000/ic_100/p_min_01/freq_cand_kim_pfspow.mat;

freq_r_1000_ic_100_pmin01_max = freq_cand_max;
freq_r_1000_ic_100_pmin01_pfsp = freq_cand_pfspow;
freq_r_1000_ic_100_pmin01_kpfsp = freq_cand_kim_pfspow;

load test/r_1000/ic_1000/p_min_01/freq_cand_max.mat;
load test/r_1000/ic_1000/p_min_01/freq_cand_pfspow.mat;
load test/r_1000/ic_1000/p_min_01/freq_cand_kim_pfspow.mat;

freq_r_1000_ic_1000_pmin01_max = freq_cand_max;
freq_r_1000_ic_1000_pmin01_pfsp = freq_cand_pfspow;
freq_r_1000_ic_1000_pmin01_kpfsp = freq_cand_kim_pfspow;

% R=5000
load test/r_5000/ic_100/p_min_01/freq_cand_max.mat;
load test/r_5000/ic_100/p_min_01/freq_cand_pfspow.mat;
load test/r_5000/ic_100/p_min_01/freq_cand_kim_pfspow.mat;

freq_r_5000_ic_100_pmin01_max = freq_cand_max;
freq_r_5000_ic_100_pmin01_pfsp = freq_cand_pfspow;
freq_r_5000_ic_100_pmin01_kpfsp = freq_cand_kim_pfspow;

load test/r_5000/ic_1000/p_min_01/freq_cand_max.mat;
load test/r_5000/ic_1000/p_min_01/freq_cand_pfspow.mat;
load test/r_5000/ic_1000/p_min_01/freq_cand_kim_pfspow.mat;

freq_r_5000_ic_1000_pmin01_max = freq_cand_max;
freq_r_5000_ic_1000_pmin01_pfsp = freq_cand_pfspow;
freq_r_5000_ic_1000_pmin01_kpfsp = freq_cand_kim_pfspow;

%%% Preparing data
p_vect0 = [p_max p_max 2*p_max];
p_vect01 = [p_max+p_min01 p_min01+p_max 2*p_max];
p_vect02 = [p_max+p_min02 p_min02+p_max 2*p_max];

% R=1000
power_r_1000_ic_100_pmin01_max = freq_r_1000_ic_100_pmin01_max * p_vect01';
power_r_1000_ic_100_pmin01_pfsp = freq_r_1000_ic_100_pmin01_pfsp * p_vect01';
power_r_1000_ic_100_pmin01_kpfsp = freq_r_1000_ic_100_pmin01_kpfsp * p_vect01';

power_r_1000_ic_1000_pmin01_max = freq_r_1000_ic_1000_pmin01_max * p_vect01';
power_r_1000_ic_1000_pmin01_pfsp = freq_r_1000_ic_1000_pmin01_pfsp * p_vect01';
power_r_1000_ic_1000_pmin01_kpfsp = freq_r_1000_ic_1000_pmin01_kpfsp * p_vect01';

% R=5000
power_r_5000_ic_100_pmin01_max = freq_r_5000_ic_100_pmin01_max * p_vect01';
power_r_5000_ic_100_pmin01_pfsp = freq_r_5000_ic_100_pmin01_pfsp * p_vect01';
power_r_5000_ic_100_pmin01_kpfsp = freq_r_5000_ic_100_pmin01_kpfsp * p_vect01';

power_r_5000_ic_1000_pmin01_max = freq_r_5000_ic_1000_pmin01_max * p_vect01';
power_r_5000_ic_1000_pmin01_pfsp = freq_r_5000_ic_1000_pmin01_pfsp * p_vect01';
power_r_5000_ic_1000_pmin01_kpfsp = freq_r_5000_ic_1000_pmin01_kpfsp * p_vect01';


%%% Plot simulation results

% Average system capacity
figure(1);
plot(users, avg_r_1000_ic_100_pmin01_fp,'k');
hold on;
plot(users, avg_r_1000_ic_100_pmin01_max,'k--');
plot(users, avg_r_1000_ic_100_pmin01_pfs,'k-.*');
plot(users, avg_r_1000_ic_100_pmin01_pfsp,'k-.d');
plot(users, avg_r_1000_ic_100_pmin01_kpfs,'k:v');
plot(users, avg_r_1000_ic_100_pmin01_kpfsp,'k:^');
hold off;
xlabel('Users per cell');
ylabel('Average system capacity (bits/s/Hz)');
%title('R=1000, ic=100');
legend('Max-Cap', 'Max-Cap-P (P_{min}=0.1)', 'V-PFS', 'V-PFS-P (P_{min}=0.1)', 'M-PFS', 'M-PFS-P (P_{min}=0.1)', 'Location', 'East');

figure(2);
plot(users, avg_r_1000_ic_1000_pmin01_fp,'k');
hold on;
plot(users, avg_r_1000_ic_1000_pmin01_max,'k--');
plot(users, avg_r_1000_ic_1000_pmin01_pfs,'k-.*');
plot(users, avg_r_1000_ic_1000_pmin01_pfsp,'k-.d');
plot(users, avg_r_1000_ic_1000_pmin01_kpfs,'k:v');
plot(users, avg_r_1000_ic_1000_pmin01_kpfsp,'k:^');
hold off;
xlabel('Users per cell');
ylabel('Average system capacity (bits/s/Hz)');
title('R=1000, ic=1000');
legend('Max-Cap', 'Max-Cap-P (P_{min}=0.1)', 'V-PFS', 'V-PFS-P (P_{min}=0.1)', 'K-PFS', 'K-PFS-P (P_{min}=0.1)', 'Location', 'East');

figure(3);
plot(users, avg_r_5000_ic_100_pmin01_fp,'k');
hold on;
plot(users, avg_r_5000_ic_100_pmin01_max,'k--');
plot(users, avg_r_5000_ic_100_pmin01_pfs,'k-.*');
plot(users, avg_r_5000_ic_100_pmin01_pfsp,'k-.d');
plot(users, avg_r_5000_ic_100_pmin01_kpfs,'k:v');
plot(users, avg_r_5000_ic_100_pmin01_kpfsp,'k:^');
hold off;
xlabel('Users per cell');
ylabel('Average system capacity (bits/s/Hz)');
title('R=5000, ic=100');
legend('Max-Cap', 'Max-Cap-P (P_{min}=0.1)', 'V-PFS', 'V-PFS-P (P_{min}=0.1)', 'K-PFS', 'K-PFS-P (P_{min}=0.1)', 'Location', 'East');

figure(4);
plot(users, avg_r_5000_ic_1000_pmin01_fp,'k');
hold on;
plot(users, avg_r_5000_ic_1000_pmin01_max,'k--');
plot(users, avg_r_5000_ic_1000_pmin01_pfs,'k-.*');
plot(users, avg_r_5000_ic_1000_pmin01_pfsp,'k-.d');
plot(users, avg_r_5000_ic_1000_pmin01_kpfs,'k:v');
plot(users, avg_r_5000_ic_1000_pmin01_kpfsp,'k:^');
hold off;
xlabel('Users per cell');
ylabel('Average system capacity (bits/s/Hz)');
title('R=5000, ic=1000');
legend('Max-Cap', 'Max-Cap-P (P_{min}=0.1)', 'V-PFS', 'V-PFS-P (P_{min}=0.1)', 'K-PFS', 'K-PFS-P (P_{min}=0.1)', 'Location', 'East');

% Average power usage
figure(5)
plot(users, power_r_1000_ic_100_pmin01_max/(2*100),'k--');
hold on;
plot(users, power_r_1000_ic_100_pmin01_pfsp/(2*100), 'k-.*');
plot(users, power_r_1000_ic_100_pmin01_kpfsp/(2*100), 'k:^');
hold off;
axis([1 10 0.3 1]);
xlabel('Users per cell');
ylabel('Average power usage (W/cell)');
%title('R=1000, ic=100');
legend('Max-Cap-P (P_{min}=0.1)', 'V-PFS-P (P_{min}=0.1)', 'M-PFS-P (P_{min}=0.1)', 'Location', 'SouthEast');

figure(6)
plot(users, power_r_1000_ic_1000_pmin01_max/(2*100),'k--');
hold on;
plot(users, power_r_1000_ic_1000_pmin01_pfsp/(2*100), 'k-.*');
plot(users, power_r_1000_ic_1000_pmin01_kpfsp/(2*100), 'k:^');
hold off;
axis([1 10 0.3 1]);
xlabel('Users per cell');
ylabel('Average power usage (W/cell)');
title('R=1000, ic=1000');
legend('Max-Cap-P (P_{min}=0.1)', 'V-PFS-P (P_{min}=0.1)', 'K-PFS-P (P_{min}=0.1)', 'Location', 'SouthEast');

figure(7)
plot(users, power_r_5000_ic_100_pmin01_max/(2*100),'k--');
hold on;
plot(users, power_r_5000_ic_100_pmin01_pfsp/(2*100), 'k-.*');
plot(users, power_r_5000_ic_100_pmin01_kpfsp/(2*100), 'k:^');
hold off;
axis([1 10 0.3 1]);
xlabel('Users per cell');
ylabel('Average power usage (W/cell)');
title('R=5000, ic=100');
legend('Max-Cap-P (P_{min}=0.1)', 'V-PFS-P (P_{min}=0.1)', 'K-PFS-P (P_{min}=0.1)', 'Location', 'SouthEast');

figure(8)
plot(users, power_r_5000_ic_1000_pmin01_max/(2*100),'k--');
hold on;
plot(users, power_r_5000_ic_1000_pmin01_pfsp/(2*100), 'k-.*');
plot(users, power_r_5000_ic_1000_pmin01_kpfsp/(2*100), 'k:^');
hold off;
axis([1 10 0.3 1]);
xlabel('Users per cell');
ylabel('Average power usage (W/cell)');
title('R=5000, ic=1000');
legend('Max-Cap-P (P_{min}=0.1)', 'V-PFS-P (P_{min}=0.1)', 'K-PFS-P (P_{min}=0.1)', 'Location', 'SouthEast');