%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Script for presentation of        %
% simulation results for 2 cells.   %
% Author: Sigbj?rn Dybdahl          %   
% Last edited: 26. February 2007    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all; close all; clc;

% Load simulation data
load simul_scheduling/r_1000/ic_100/p_min_0/cap_max1.mat;
cap_max1=cap_max;
load simul_scheduling/r_1000/ic_100/p_min_0/cap_pfsp1.mat;
cap_pfsp1=cap_pfsp;
load simul_scheduling/r_1000/ic_100/p_min_0/cap_trad_pfs1.mat;
cap_trad_pfs1=cap_trad_pfs;
load simul_scheduling/r_1000/ic_100/p_min_0/cap_trad_pfsp1.mat;
cap_trad_pfsp1=cap_trad_pfsp;

load simul_scheduling/r_1000/ic_100/p_min_0/cap_max4.mat;
cap_max4=cap_max;
load simul_scheduling/r_1000/ic_100/p_min_0/cap_pfsp4.mat;
cap_pfsp4=cap_pfsp;
load simul_scheduling/r_1000/ic_100/p_min_0/cap_trad_pfs4.mat;
cap_trad_pfs4=cap_trad_pfs;
load simul_scheduling/r_1000/ic_100/p_min_0/cap_trad_pfsp4.mat;
cap_trad_pfsp4=cap_trad_pfsp;

load simul_scheduling/r_1000/ic_100/p_min_0/cap_max7.mat;
cap_max7=cap_max;
load simul_scheduling/r_1000/ic_100/p_min_0/cap_pfsp7.mat;
cap_pfsp7=cap_pfsp;
load simul_scheduling/r_1000/ic_100/p_min_0/cap_trad_pfs7.mat;
cap_trad_pfs7=cap_trad_pfs;
load simul_scheduling/r_1000/ic_100/p_min_0/cap_trad_pfsp7.mat;
cap_trad_pfsp7=cap_trad_pfsp;

colour = [1 0 0; 0 1 0; 0 0 1];

% Calculation mean and variance
mean_mat1(1,:)=mean(cap_max1);
mean_mat1(2,:)=mean(cap_pfsp1);
mean_mat1(3,:)=mean(cap_trad_pfs1);
mean_mat4(1,:)=mean(cap_max4);
mean_mat4(2,:)=mean(cap_pfsp4);
mean_mat4(3,:)=mean(cap_trad_pfs4);
mean_mat7(1,:)=mean(cap_max7);
mean_mat7(2,:)=mean(cap_pfsp7);
mean_mat7(3,:)=mean(cap_trad_pfs7);

var_mat1(1,:)=var(cap_max1);
var_mat1(2,:)=var(cap_pfsp1);
var_mat1(3,:)=var(cap_trad_pfs1);
var_mat4(1,:)=var(cap_max4);
var_mat4(2,:)=var(cap_pfsp4);
var_mat4(3,:)=var(cap_trad_pfs4);
var_mat7(1,:)=var(cap_max7);
var_mat7(2,:)=var(cap_pfsp7);
var_mat7(3,:)=var(cap_trad_pfs7);

% Plotting the results

% figure(1)
% scatter(cap_max1(:,2), cap_max1(:,1));
% xlabel('Cell 1');
% ylabel('Cell 2');
% title('Max-Cap-P: 1 user and P_{min}=0');
% axis([0 50 0 50]);
% 
% figure(2)
% scatter(cap_pfsp1(:,2), cap_pfsp1(:,1));
% xlabel('Cell 1');
% ylabel('Cell 2');
% title('V-PFS-P: 1 user and P_{min}=0');
% axis([0 50 0 50]);
% 
% figure(3)
% scatter(cap_trad_pfs1(:,2), cap_trad_pfs1(:,1));
% xlabel('Cell 1');
% ylabel('Cell 2');
% title('V-PFS: 1 user and P_{min}=0');
% axis([0 50 0 50]);
% 
% figure(4)
% scatter(cap_max4(:,2), cap_max4(:,1));
% xlabel('Cell 1');
% ylabel('Cell 2');
% title('Max-Cap-P: 4 users and P_{min}=0');
% axis([0 50 0 50]);
% 
% figure(5)
% scatter(cap_pfsp4(:,2), cap_pfsp4(:,1));
% xlabel('Cell 1');
% ylabel('Cell 2');
% title('V-PFS-P: 4 users and P_{min}=0');
% axis([0 50 0 50]);
% 
% figure(6)
% scatter(cap_trad_pfs4(:,2), cap_trad_pfs4(:,1));
% xlabel('Cell 1');
% ylabel('Cell 2');
% title('V-PFS: 4 users and P_{min}=0');
% axis([0 50 0 50]);
% 
% figure(7)
% scatter(cap_max7(:,2), cap_max7(:,1));
% xlabel('Cell 1');
% ylabel('Cell 2');
% title('Max-Cap-P: 7 users and P_{min}=0');
% axis([0 50 0 50]);
% 
% figure(8)
% scatter(cap_pfsp7(:,2), cap_pfsp7(:,1));
% xlabel('Cell 1');
% ylabel('Cell 2');
% title('V-PFS-P: 7 users and P_{min}=0');
% axis([0 50 0 50]);
% 
% figure(9)
% scatter(cap_trad_pfs7(:,2), cap_trad_pfs7(:,1));
% xlabel('Cell 1');
% ylabel('Cell 2');
% title('V-PFS: 7 users and P_{min}=0');
% axis([0 50 0 50]);

figure(10);
subplot(1,2,1)
scatter([mean_mat1(1,1) mean_mat4(1,1) mean_mat7(1,1)], [mean_mat1(1,2) mean_mat4(1,2) mean_mat7(1,2)], 50, [colour(1,:); colour(1,:); colour(1,:)])
hold on;
scatter([mean_mat1(2,1) mean_mat4(2,1) mean_mat7(2,1)], [mean_mat1(2,2) mean_mat4(2,2) mean_mat7(2,2)], 50, [colour(2,:); colour(2,:); colour(2,:)])
scatter([mean_mat1(3,1) mean_mat4(3,1) mean_mat7(3,1)], [mean_mat1(3,2) mean_mat4(3,2) mean_mat7(3,2)], 50, [colour(3,:); colour(3,:); colour(3,:)])
hold off;
xlabel('Cell 1');
ylabel('Cell 2');
title('Variance');
legend('Max-Cap-P', 'V-PFS-P', 'V-PFS', 'Location', 'NorthWest')
title('Mean');
subplot(1,2,2)
scatter([var_mat1(1,1) var_mat4(1,1) var_mat7(1,1)], [var_mat1(1,2) var_mat4(1,2) var_mat7(1,2)], 50, [colour(1,:); colour(1,:); colour(1,:)])
hold on;
scatter([var_mat1(2,1) var_mat4(2,1) var_mat7(2,1)], [var_mat1(2,2) var_mat4(2,2) var_mat7(2,2)], 50, [colour(2,:); colour(2,:); colour(2,:)])
scatter([var_mat1(3,1) var_mat4(3,1) var_mat7(3,1)], [var_mat1(3,2) var_mat4(3,2) var_mat7(3,2)], 50, [colour(3,:); colour(3,:); colour(3,:)])
hold off;
xlabel('Cell 1');
ylabel('Cell 2');
title('Variance');
legend('Max-Cap-P', 'V-PFS-P', 'V-PFS', 'Location', 'NorthWest')