%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Script for presentation of        %
% simulation results for 2 cells.   %
% Author: Sigbj?rn Dybdahl          %   
% Last edited: 8. May 2007          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all; close all; clc;

% Defining simulation parameters
number_simulations=10000;
users=1:10;

% Load simulation data
% load simul_hex/p_min_0/rice_sum_cap_full_pow.mat;
% rice_sum_cap_full_pow = sum_cap_full_pow;
% load simul_hex/p_min_0/rice_sum_capacity.mat;
% rice_sum_cap_p_min_0=sum_capacity;
% load simul_hex/p_min_01/rice_sum_capacity.mat;
% rice_sum_cap_p_min_01=sum_capacity;
% load simul_hex/p_min_02/rice_sum_capacity.mat;
% rice_sum_cap_p_min_02=sum_capacity;
% 
% load simul_hex/p_min_0/ray_sum_cap_full_pow.mat;
% ray_sum_cap_full_pow = sum_cap_full_pow;
% load simul_hex/p_min_0/ray_sum_capacity.mat;
% ray_sum_cap_p_min_0=sum_capacity;
% load simul_hex/p_min_01/ray_sum_capacity.mat;
% ray_sum_cap_p_min_01=sum_capacity;
% load simul_hex/p_min_02/ray_sum_capacity.mat;
% ray_sum_cap_p_min_02=sum_capacity;

% load simul_hex/high_snir/r_1000/p_min_0/shad_sum_cap_full_pow.mat;
% shad_sum_cap_full_pow = sum_cap_full_pow;
% load simul_hex/high_snir/r_1000/p_min_0/shad_sum_capacity.mat;
% shad_sum_cap_p_min_0=sum_capacity;
% load simul_hex/high_snir/r_1000/p_min_001/sum_capacity.mat;
% shad_sum_cap_p_min_001=sum_capacity;
% load simul_hex/high_snir/r_1000/p_min_0001/sum_capacity.mat;
% shad_sum_cap_p_min_0001=sum_capacity;
% load simul_hex/high_snir/r_1000/p_min_00001/sum_capacity.mat;
% shad_sum_cap_p_min_00001=sum_capacity;

load simul_hex/low_snir/r_1000/p_min_0/sum_cap_full_pow.mat;
shad_sum_cap_full_pow = sum_cap_full_pow;
load simul_hex/low_snir/r_1000/p_min_0/sum_capacity.mat;
shad_sum_cap_p_min_0=sum_capacity;
load simul_hex/low_snir/r_1000/p_min_001/sum_capacity.mat;
shad_sum_cap_p_min_001=sum_capacity;
load simul_hex/low_snir/r_1000/p_min_0001/sum_capacity.mat;
shad_sum_cap_p_min_0001=sum_capacity;
load simul_hex/low_snir/r_1000/p_min_00001/sum_capacity.mat;
shad_sum_cap_p_min_00001=sum_capacity;

% load test/p_min_0/K55_sum_cap_full_pow.mat;
% K55_sum_cap_full_pow = sum_cap_full_pow;
% load test/p_min_0/K55_sum_capacity.mat;
% K55_sum_cap_p_min_0=sum_capacity;
% load test/p_min_01/K55_sum_capacity.mat;
% K55_sum_cap_p_min_01=sum_capacity;
% load test/p_min_02/K55_sum_capacity.mat;
% K55_sum_cap_p_min_02=sum_capacity;

% Plot simulation results
% figure(1);
% plot(users, rice_sum_cap_full_pow/number_simulations,'k');
% hold on;
% plot(users, rice_sum_cap_p_min_0/number_simulations,'k--');
% plot(users, rice_sum_cap_p_min_01/number_simulations,'k-.');
% plot(users, rice_sum_cap_p_min_02/number_simulations,'k:');
% hold off;
% %axis([1 20 10 35])
% xlabel('Users per cell');
% ylabel('System capacity (bits/s/Hz)');
% legend('Full power', 'P_{min}=0', 'P_{min}=0.1', 'P_{min}=0.2', 'Location', 'SouthEast');
% 
% figure(2);
% plot(users, rice_sum_cap_p_min_0/number_simulations,'k');
% hold on;
% plot(users, ray_sum_cap_p_min_0/number_simulations,'b--');
% plot(users, shad_sum_cap_p_min_0/number_simulations,'r-.');
% hold off;
% %axis([1 20 10 35])
% xlabel('Users per cell');
% ylabel('System capacity (bits/s/Hz)');
% legend('Rice', 'Rayleigh', 'Shadowing only', 'Location', 'SouthEast');
% 
% figure(3)
% plot(users, rice_sum_cap_full_pow/number_simulations,'k');
% hold on;
% plot(users, K55_sum_cap_full_pow/number_simulations, 'r');
% plot(users, rice_sum_cap_p_min_0/number_simulations,'k--');
% plot(users, K55_sum_cap_p_min_0/number_simulations, 'r--');
% plot(users, rice_sum_cap_p_min_01/number_simulations,'k-.');
% plot(users, K55_sum_cap_p_min_01/number_simulations, 'r-.');
% plot(users, rice_sum_cap_p_min_02/number_simulations,'k:');
% plot(users, K55_sum_cap_p_min_02/number_simulations, 'r:');
% hold off;
% %axis([1 20 10 35])
% xlabel('Users per cell');
% ylabel('System capacity (bits/s/Hz)');
% legend('Full power', 'K55-FP', 'P_{min}=0', 'K55-P0', 'P_{min}=0.1', 'K55-P01', 'P_{min}=0.2', 'K55-P02','Location', 'SouthEast');

figure(4);
plot(users, shad_sum_cap_full_pow/number_simulations,'k');
hold on;
plot(users, shad_sum_cap_p_min_0/number_simulations,'k--');
plot(users, shad_sum_cap_p_min_001/number_simulations,'k-.');
plot(users, shad_sum_cap_p_min_0001/number_simulations,'k:');
plot(users, shad_sum_cap_p_min_00001/number_simulations,'k:x');
hold off;
%axis([1 20 10 35])
xlabel('Users per cell');
ylabel('System capacity (bits/s/Hz)');
legend('Full power', 'P_{min}=0', 'P_{min}=0.01', 'P_{min}=0.001', 'P_{min}=0.0001', 'Location', 'SouthEast');