%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Script for presentation of        %
% simulation results for 2 cells.   %
% Author: Sigbj?rn Dybdahl          %   
% Last edited: 26. February 2007    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all; close all; clc;

%%% Defining simulation parameters
number_simulations=10000;
users=1:10;
p_max=1;
p_min01=0.1;
p_min02=0.2;

%%% Load simulation data
load simul_scheduling/r_5000/ic_1000/p_min_0/avg_syst_cap.mat
avg_syst_cap_pmin0=avg_syst_cap;
load simul_scheduling/r_5000/ic_1000/p_min_0/avg_syst_cap_full_pow.mat
load simul_scheduling/r_5000/ic_1000/p_min_0/avg_syst_cap_trad_pfs.mat
load simul_scheduling/r_5000/ic_1000/p_min_0/avg_syst_cap_trad_pfspow.mat
avg_syst_cap_trad_pfspow_pmin0=avg_syst_cap_trad_pfspow;
load simul_scheduling/r_5000/ic_1000/p_min_0/avg_syst_cap_pfs.mat
avg_syst_cap_pfs_pmin0=avg_syst_cap_pfs;
load simul_scheduling/r_5000/ic_1000/p_min_0/avg_syst_cap_pfspow.mat
avg_syst_cap_pfspow_pmin0=avg_syst_cap_pfspow;
load simul_scheduling/r_5000/ic_1000/p_min_0/avg_syst_cap_rr.mat
load simul_scheduling/r_5000/ic_1000/p_min_0/avg_syst_cap_rrpow.mat
avg_syst_cap_rrpow_pmin0=avg_syst_cap_rrpow;
load simul_scheduling/r_5000/ic_1000/p_min_0/avg_syst_cap_trad_pfs.mat

load simul_scheduling/r_5000/ic_1000/p_min_01/avg_syst_cap.mat
avg_syst_cap_pmin01=avg_syst_cap;
load simul_scheduling/r_5000/ic_1000/p_min_01/avg_syst_cap_trad_pfspow.mat
avg_syst_cap_trad_pfspow_pmin01=avg_syst_cap_trad_pfspow;
load simul_scheduling/r_5000/ic_1000/p_min_01/avg_syst_cap_pfspow.mat
avg_syst_cap_pfspow_pmin01=avg_syst_cap_pfspow;
load simul_scheduling/r_5000/ic_1000/p_min_01/avg_syst_cap_rrpow.mat
avg_syst_cap_rrpow_pmin01=avg_syst_cap_rrpow;
load simul_scheduling/r_5000/ic_1000/p_min_02/avg_syst_cap.mat
avg_syst_cap_pmin02=avg_syst_cap;
load simul_scheduling/r_5000/ic_1000/p_min_02/avg_syst_cap_trad_pfspow.mat
avg_syst_cap_trad_pfspow_pmin02=avg_syst_cap_trad_pfspow;
load simul_scheduling/r_5000/ic_1000/p_min_02/avg_syst_cap_pfspow.mat
avg_syst_cap_pfspow_pmin02=avg_syst_cap_pfspow;
load simul_scheduling/r_5000/ic_1000/p_min_02/avg_syst_cap_rrpow.mat
avg_syst_cap_rrpow_pmin02=avg_syst_cap_rrpow;

load simul_scheduling/r_5000/ic_1000/p_min_0/freq_cand_max.mat;
freq_cand_max_pmin0=freq_cand_max;
load simul_scheduling/r_5000/ic_1000/p_min_0/freq_cand_rrpow.mat;
freq_cand_rrpow_pmin0=freq_cand_rrpow;
load simul_scheduling/r_5000/ic_1000/p_min_0/freq_cand_pfspow.mat;
freq_cand_pfspow_pmin0=freq_cand_pfspow;
load simul_scheduling/r_5000/ic_1000/p_min_0/freq_cand_trad_pfspow.mat;
freq_cand_trad_pfspow_pmin0=freq_cand_trad_pfspow;

load simul_scheduling/r_5000/ic_1000/p_min_01/freq_cand_max.mat;
freq_cand_max_pmin01=freq_cand_max;
load simul_scheduling/r_5000/ic_1000/p_min_01/freq_cand_rrpow.mat;
freq_cand_rrpow_pmin01=freq_cand_rrpow;
load simul_scheduling/r_5000/ic_1000/p_min_01/freq_cand_pfspow.mat;
freq_cand_pfspow_pmin01=freq_cand_pfspow;
load simul_scheduling/r_5000/ic_1000/p_min_01/freq_cand_trad_pfspow.mat;
freq_cand_trad_pfspow_pmin01=freq_cand_trad_pfspow;

load simul_scheduling/r_5000/ic_1000/p_min_02/freq_cand_max.mat;
freq_cand_max_pmin02=freq_cand_max;
load simul_scheduling/r_5000/ic_1000/p_min_02/freq_cand_rrpow.mat;
freq_cand_rrpow_pmin02=freq_cand_rrpow;
load simul_scheduling/r_5000/ic_1000/p_min_02/freq_cand_pfspow.mat;
freq_cand_pfspow_pmin02=freq_cand_pfspow;
load simul_scheduling/r_5000/ic_1000/p_min_02/freq_cand_trad_pfspow.mat;
freq_cand_trad_pfspow_pmin02=freq_cand_trad_pfspow;

%%% Preparing data
p_vect0 = [p_max p_max 2*p_max];
p_vect01 = [p_max+p_min01 p_min01+p_max 2*p_max];
p_vect02 = [p_max+p_min02 p_min02+p_max 2*p_max];

power_max_pmin0 = freq_cand_max_pmin0*p_vect0';
power_rr_pmin0 = freq_cand_rrpow_pmin0*p_vect0';
power_pfs_pmin0 = freq_cand_pfspow_pmin0*p_vect0';
power_trad_pfs_pmin0 = freq_cand_trad_pfspow_pmin0*p_vect0';

power_max_pmin01 = freq_cand_max_pmin01*p_vect01';
power_rr_pmin01 = freq_cand_rrpow_pmin01*p_vect01';
power_pfs_pmin01 = freq_cand_pfspow_pmin01*p_vect01';
power_trad_pfs_pmin01 = freq_cand_trad_pfspow_pmin01*p_vect01';

power_max_pmin02 = freq_cand_max_pmin02*p_vect02';
power_rr_pmin02 = freq_cand_rrpow_pmin02*p_vect02';
power_pfs_pmin02 = freq_cand_pfspow_pmin02*p_vect02';
power_trad_pfs_pmin02 = freq_cand_trad_pfspow_pmin02*p_vect02';

%%% Plot simulation results
figure(1);
plot(users, avg_syst_cap_full_pow,'k');
hold on;
plot(users, avg_syst_cap_pmin0,'k--');
% plot(users, avg_syst_cap_trad_pfs, 'r');
% plot(users, avg_syst_cap_trad_pfspow_pmin0, 'g');
plot(users, avg_syst_cap_pfs,'k-.*');
plot(users, avg_syst_cap_pfspow_pmin0,'k-.d');
plot(users, avg_syst_cap_rr,'k:v');
plot(users, avg_syst_cap_rrpow_pmin0,'k:^');
hold off;
xlabel('Users per cell');
ylabel('Average system capacity (bits/s/Hz)');
% legend('Max-Cap', 'Max-Cap-P (P_{min}=0)', 'T-PFS', 'T-PFS-P (P_{min}=0)', 'V-PFS', 'V-PFS-P (P_{min}=0)', 'RR', 'RR-P (P_{min}=0)', 'Location', 'East');
legend('Max-Cap', 'Max-Cap-P (P_{min}=0)', 'V-PFS', 'V-PFS-P (P_{min}=0)', 'RR', 'RR-P (P_{min}=0)', 'Location', 'East');

figure(2);
plot(users, avg_syst_cap_full_pow,'k');
hold on;
plot(users, avg_syst_cap_pmin01,'k--');
% plot(users, avg_syst_cap_trad_pfs, 'r');
% plot(users, avg_syst_cap_trad_pfspow_pmin01, 'g');
plot(users, avg_syst_cap_pfs,'k-.*');
plot(users, avg_syst_cap_pfspow_pmin01,'k-.d');
plot(users, avg_syst_cap_rr,'k:v');
plot(users, avg_syst_cap_rrpow_pmin01,'k:^');
hold off;
xlabel('Users per cell');
ylabel('Average system capacity (bits/s/Hz)');
% legend('Max-Cap', 'Max-Cap-P (P_{min}=0.1)', 'T-PFS', 'T-PFS-P (P_{min}=0.1)', 'V-PFS', 'V-PFS-P (P_{min}=0.1)', 'RR', 'RR-P (P_{min}=0.1)', 'Location', 'East');
legend('Max-Cap', 'Max-Cap-P (P_{min}=0.1)', 'V-PFS', 'V-PFS-P (P_{min}=0.1)', 'RR', 'RR-P (P_{min}=0.1)', 'Location', 'East');

figure(3);
plot(users, avg_syst_cap_full_pow,'k');
hold on;
plot(users, avg_syst_cap_pmin02,'k--');
% plot(users, avg_syst_cap_trad_pfs, 'r');
% plot(users, avg_syst_cap_trad_pfspow_pmin02, 'g');
plot(users, avg_syst_cap_pfs,'k-.*');
plot(users, avg_syst_cap_pfspow_pmin02,'k-.d');
plot(users, avg_syst_cap_rr,'k:v');
plot(users, avg_syst_cap_rrpow_pmin02,'k:^');
hold off;
xlabel('Users per cell');
ylabel('Average system capacity (bits/s/Hz)');
% legend('Max-Cap', 'Max-Cap-P (P_{min}=0.2)', 'T-PFS', 'T-PFS-P (P_{min}=0.2)', 'V-PFS', 'V-PFS-P (P_{min}=0.2)', 'RR', 'RR-P (P_{min}=0.2)', 'Location', 'East');
legend('Max-Cap', 'Max-Cap-P (P_{min}=0.2)', 'V-PFS', 'V-PFS-P (P_{min}=0.2)', 'RR', 'RR-P (P_{min}=0.2)', 'Location', 'East');

figure(4)
plot(users, power_max_pmin0/(2*100),'k--');
hold on;
% plot(users, power_trad_pfs_pmin0/200, 'g');
plot(users, power_pfs_pmin0/200, 'k-.*');
plot(users, power_rr_pmin0/200, 'k:^');
hold off;
axis([1 10 0.3 1]);
xlabel('Users per cell');
ylabel('Average power usage (W/cell)');
% legend('Max-Cap-P (P_{min}=0)', 'T-PFS-P (P_{min}=0)', 'V-PFS-P (P_{min}=0)', 'RR-P (P_{min}=0)', 'Location', 'SouthEast');
legend('Max-Cap-P (P_{min}=0)', 'V-PFS-P (P_{min}=0)', 'RR-P (P_{min}=0)', 'Location', 'SouthEast');

figure(5)
plot(users, power_max_pmin01/(2*100),'k--');
hold on;
% plot(users, power_trad_pfs_pmin01/200, 'g');
plot(users, power_pfs_pmin01/200, 'k-.*');
plot(users, power_rr_pmin01/200, 'k:^');
hold off;
axis([1 10 0.3 1]);
xlabel('Users per cell');
ylabel('Average power usage (W/cell)');
% legend('Max-Cap-P (P_{min}=0.1)','T-PFS-P (P_{min}=0.1)', 'V-PFS-P (P_{min}=0.1)', 'RR-P (P_{min}=0.1)', 'Location', 'SouthEast');
legend('Max-Cap-P (P_{min}=0.1)', 'V-PFS-P (P_{min}=0.1)', 'RR-P (P_{min}=0.1)', 'Location', 'SouthEast');

figure(6)
plot(users, power_max_pmin02/(2*100),'k--');
hold on;
% plot(users, power_trad_pfs_pmin02/200, 'g');
plot(users, power_pfs_pmin02/200, 'k-.*');
plot(users, power_rr_pmin02/200, 'k:^');
hold off;
axis([1 10 0.3 1]);
xlabel('Users per cell');
ylabel('Average power usage (W/cell)');
% legend('Max-Cap-P (P_{min}=0.2)', 'T-PFS-P (P_{min}=0.2)', 'V-PFS-P (P_{min}=0.2)', 'RR-P (P_{min}=0.2)', 'Location', 'SouthEast');
legend('Max-Cap-P (P_{min}=0.2)', 'V-PFS-P (P_{min}=0.2)', 'RR-P (P_{min}=0.2)', 'Location', 'SouthEast');