%plot script.
%Anders Gjendemsj
%E-mail: gjendems@iet.ntnu.no

clc; clear all;
number_simul = 10000;

Cell_users = [1:1:10 11:3:20 24:4:40 44:4:60];
val = 1:16;


%RR-ACMP & RR-ACM
load simul_hex/RR_capacity;
load simul_hex/RR_cap_full_pow;

%MAX-SNR-ACMP & MAX-SNR-ACM
load simul_hex/MAX_SNR_cap_pow_ad;
load simul_hex/MAX_SNR_cap_full_pow;
load simul_hex/freq_cand_MAX_CNR;

%Saad
load simul_hex/simpl_cap_full_pow;

% 1:2:9
load simul_hex/1_1_10/freq_cand;
load simul_hex/1_1_10/sum_cap_full_pow;
load simul_hex/1_1_10/sum_capacity;
PLOT_freq_cand = freq_cand;
PLOT_cap_full_pow = sum_cap_full_pow;
PLOT_sum_capacity = sum_capacity;

load simul_hex/11_3_20/freq_cand;
load simul_hex/11_3_20/sum_cap_full_pow;
load simul_hex/11_3_20/sum_capacity;
PLOT_freq_cand = [PLOT_freq_cand ; freq_cand];
PLOT_cap_full_pow = [PLOT_cap_full_pow sum_cap_full_pow];
PLOT_sum_capacity = [PLOT_sum_capacity sum_capacity];



load simul_hex/24_4_40/freq_cand;
load simul_hex/24_4_40/sum_cap_full_pow;
load simul_hex/24_4_40/sum_capacity;
PLOT_freq_cand = [PLOT_freq_cand ; freq_cand];
PLOT_cap_full_pow = [PLOT_cap_full_pow sum_cap_full_pow];
PLOT_sum_capacity = [PLOT_sum_capacity sum_capacity];



load simul_hex/44_4_60/freq_cand;
load simul_hex/44_4_60/sum_cap_full_pow;
load simul_hex/44_4_60/sum_capacity;
PLOT_freq_cand = [PLOT_freq_cand ; freq_cand];
PLOT_cap_full_pow = [PLOT_cap_full_pow sum_cap_full_pow];
PLOT_sum_capacity = [PLOT_sum_capacity sum_capacity];


%load simuleringer/Cell_users Cell_users;
%load simuleringer/freq_cand freq_cand;
load simul_hex/capacity_1_1_full_pow;
load simul_hex/capacity_1_1_pow_ad;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Plot sum capacity ACM & ACMP   %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%To align for 1 user.
%RR_capacity(1) = PLOT_sum_capacity(1);
%RR_cap_full_pow(1) = PLOT_cap_full_pow(1);

RR_capacity(1:Cell_users(val(end))) = PLOT_sum_capacity(1);
RR_cap_full_pow(1:Cell_users(val(end))) = PLOT_cap_full_pow(1);

figure(1);
hold off;
plot_ACMP_MAX_CAP = plot(Cell_users(val), PLOT_sum_capacity(val)/number_simul,'k');
hold on;
plot_ACM_MAX_CAP = plot(Cell_users(val), PLOT_cap_full_pow(val)/number_simul,'k--');
plot_MAX_CAP_P = plot(Cell_users(val),MAX_SNR_cap_pow_ad(val)/number_simul,'k-*');
plot_MAX_CAP = plot(Cell_users(val),MAX_SNR_cap_full_pow(val)/number_simul,'k-.');
plot_RR_ACMP = plot(1:3:Cell_users(val(end)), RR_capacity(1:3:end)/number_simul,'k-^');
plot_RR_ACM = plot(1:3:Cell_users(val(end)), RR_cap_full_pow(1:3:end)/number_simul,'k-v');
xlabel('Users per cell');
ylabel('System capacity (bits/s/Hz)');
%axis([0 Cell_users(end) 5 16]);
%grid on;
%legend([plot_ACMP_MAX_CAP plot_ACM_MAX_CAP plot_RR_ACMP plot_RR_ACM],'MAX - ACMP','MAX - ACM', 'RR - ACMP','RR - ACM','Location','East');
legend([plot_ACMP_MAX_CAP plot_ACM_MAX_CAP plot_MAX_CAP_P plot_MAX_CAP plot_RR_ACMP plot_RR_ACM],'MAX-CAP-P','MAX-CAP','MAX-SNR-P','MAX-SNR', 'RR-P','RR','Location','East');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Frequency plot of solutions.  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure(2);
hold off;
P_max_0_plot = plot(Cell_users(val), PLOT_freq_cand(val,1),'k--');
hold on;
O_P_max_plot = plot(Cell_users(val), PLOT_freq_cand(val,2),'k-.');
P_max_P_max_plot = plot(Cell_users(val), PLOT_freq_cand(val,3),'k-');
ylabel('Frequency of solutions in %.');
xlabel('Users per cell');
%axis([0 Cell_users(10) 0 100]);
legend([P_max_0_plot, O_P_max_plot P_max_P_max_plot],'P_{max},0','0,P_{max}','P_{max},P_{max}','Location','Best');
%grid on;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 3D-Plot showing solution at   %
% corner point, P1=P_max P2=0   %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure(3);
cell_radius = 1000; f_c = 1800; BS_height = 30;
terminal_height = 1; Gtx = 16; Grx = 6; 
shadow_dev = 10;
U1=1; U2=1; P_max = 1;
rand('state',4);
randn('state',4);
[G_cell_1 G_cell_2 sig1 sig2] = calc_prop_hex(U1, U2, cell_radius, f_c, terminal_height, BS_height, Grx, Gtx, shadow_dev);
G = [G_cell_1(:,1) G_cell_2(:,1)]';
G_dB = 10*log10(G)
[P1,P2] = meshgrid(0:.05:P_max, 0:.05:P_max);
syst_cap = log2(1+(P1.*G(1,1))./(sig1+P2.*G(1,2)))+log2(1+(P2.*G(2,2))./(sig2+P1.*G(2,1)));
hold off;
colormap(zeros(64,3))

mesh(P1,P2,syst_cap);
XLABEL = xlabel('Transmit power at BS 1, P_1');
ylabel('Transmit power at BS 2, P_2');
zlabel('Sum throughput, R');


%%%%%%%%%%%%%%%%%%%%%%%
% Plot Pr(R<Abscissa) %
%%%%%%%%%%%%%%%%%%%%%%%
figure(4);
N_s = length(capacity_1_1_pow_ad);
Pr = zeros(1,N_s);
Pr = 1/N_s * (0:1:N_s);

disp(['Average throughput ACMP: ', num2str(mean(capacity_1_1_pow_ad))'.']);
disp(['Average throughput ACM: ', num2str(mean(capacity_1_1_full_pow))'.']);

hold off;
Pow_control_plot = plot([0 sort(capacity_1_1_pow_ad)], Pr,'k');
hold on;
Full_pow_plot = plot([0 sort(capacity_1_1_full_pow)], Pr,'k--');
xlabel('Throughput in bits/s/Hz, R');
ylabel('Pr (R < Abscissa)');
%axis([0 max(max([capacity_1_1_full_pow capacity_1_1_pow_ad])) 0 1]);
axis([0 40 0 1]);
%grid on;
legend([Pow_control_plot Full_pow_plot],'ACMP','ACM',2);

%%%%%%%%%%%%%%%%%%%%%%%%%%
% Power consumption vs N %
%                        %
% Avg. power can be shown%
% to be (1+freq(3))P_max %
%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(5);
P_max = 1;
hold off;
PLOT_MAX_ACMP_PC = plot(Cell_users(val), ( 1 + PLOT_freq_cand(val,3)/100 ) * P_max ,'k-');
hold on;
PLOT_MAX_ACM_PC = plot(Cell_users(val), ones(1,length(Cell_users(val)))*2*P_max,'k--');
PLOT_MAX_CNR_PC = plot(1:Cell_users(val(end)), ones(1,Cell_users(val(end)))*2*P_max,'k-.');
PLOT_MAX_CNR_ACMP_PC = plot(Cell_users(val), ( 1+ freq_cand_MAX_CNR(val,3)/100) * P_max,'k-*');
xlabel('Users per cell');
ylabel('Avg. Power Consumption (W)');
axis([0 Cell_users(val(end)) 1 2.5]);
%grid on;
legend([PLOT_MAX_ACMP_PC PLOT_MAX_ACM_PC PLOT_MAX_CNR_ACMP_PC PLOT_MAX_CNR_PC],...
    'MAX-CAP-P','MAX-CAP','MAX-SNR-P','MAX-SNR',2);

%%%%%%%%%%%%%%%%%%%%%%%%%%
% Check with Saads idea  %
%%%%%%%%%%%%%%%%%%%%%%%%%%
figure(6);
hold off;
plot_ACMP_MAX_CAP = plot(Cell_users(val), PLOT_sum_capacity(val)/number_simul,'k');
hold on;
plot_SAAD = plot(Cell_users(val), simpl_cap_full_pow(val)/number_simul,'k--');
xlabel('Users per cell');
ylabel('System capacity (bits/s/Hz)');
legend([plot_ACMP_MAX_CAP plot_SAAD],'MAX-CAP-P', 'Simplified','Location','East');

%Exporting figures
exportfig(figure(1),'../figurer/System_cap_vs_users.eps', 'width',10 ,'fontmode','fixed', 'fontsize',8);%'color','cmyk');
exportfig(figure(2),'../figurer/Frequency_of_solutions.eps', 'width',10 ,'fontmode','fixed', 'fontsize',8);%'color','cmyk');
exportfig(figure(3),'../figurer/System_cap_vs_powers.eps', 'width',10 ,'fontmode','fixed', 'fontsize',8);%'color','cmyk');
exportfig(figure(4),'../figurer/Pr_less_abscissa.eps', 'width',10 ,'fontmode','fixed', 'fontsize',8);%'color','cmyk');
exportfig(figure(5),'../figurer/Avg_pow_consump.eps', 'width',10 ,'fontmode','fixed', 'fontsize',8);%'color','cmyk');
exportfig(figure(6),'../figurer/Syst_cap_simplifed.eps', 'width',10,'fontmode','fixed', 'fontsize',8);%'color','cmyk');
