%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Script for presentation of        %
% simulation results for 2 cells.   %
% Author: Sigbj?rn Dybdahl          %   
% Last edited: 8. May 2007          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all; close all; clc;

% Defining simulation parameters
number_simulations=10000;
users=1:10;

% Load simulation data
load simul_k/K00sum_cap_full_pow.mat;
load simul_k/K00sum_capacity.mat;
K00sum_cap_full_pow = sum_cap_full_pow;
K00sum_capacity = sum_capacity;

load simul_k/K20sum_cap_full_pow.mat;
load simul_k/K20sum_capacity.mat;
K20sum_cap_full_pow = sum_cap_full_pow;
K20sum_capacity = sum_capacity;

load simul_k/K50sum_cap_full_pow.mat;
load simul_k/K50sum_capacity.mat;
K50sum_cap_full_pow = sum_cap_full_pow;
K50sum_capacity = sum_capacity;

load simul_k/K51sum_cap_full_pow.mat;
load simul_k/K51sum_capacity.mat;
K51sum_cap_full_pow = sum_cap_full_pow;
K51sum_capacity = sum_capacity;

load simul_k/K52sum_cap_full_pow.mat;
load simul_k/K52sum_capacity.mat;
K52sum_cap_full_pow = sum_cap_full_pow;
K52sum_capacity = sum_capacity;

load simul_k/K53sum_cap_full_pow.mat;
load simul_k/K53sum_capacity.mat;
K53sum_cap_full_pow = sum_cap_full_pow;
K53sum_capacity = sum_capacity;

load simul_k/K54sum_cap_full_pow.mat;
load simul_k/K54sum_capacity.mat;
K54sum_cap_full_pow = sum_cap_full_pow;
K54sum_capacity = sum_capacity;

load simul_k/K55sum_cap_full_pow.mat;
load simul_k/K55sum_capacity.mat;
K55sum_cap_full_pow = sum_cap_full_pow;
K55sum_capacity = sum_capacity;


% Plot simulation results
figure(1);
plot(users, K50sum_cap_full_pow/number_simulations,'k');
hold on;
plot(users, K50sum_capacity/number_simulations,'k--');
plot(users, K52sum_cap_full_pow/number_simulations,'r');
plot(users, K52sum_capacity/number_simulations,'r--');
plot(users, K55sum_cap_full_pow/number_simulations,'b');
plot(users, K55sum_capacity/number_simulations,'b--');
hold off;
%axis([1 20 10 35])
xlabel('Users per cell');
ylabel('System capacity (bits/s/Hz)');
legend('K50', 'K50-P', 'K52', 'K52-P', 'K55', 'K55-P', 'Location', 'SouthEast');

figure(2);
plot(users, K00sum_cap_full_pow/number_simulations,'k');
hold on;
plot(users, K00sum_capacity/number_simulations,'k--');
plot(users, K20sum_cap_full_pow/number_simulations,'r');
plot(users, K20sum_capacity/number_simulations,'r--');
plot(users, K50sum_cap_full_pow/number_simulations,'b');
plot(users, K50sum_capacity/number_simulations,'b--');
hold off;
%axis([1 20 10 35])
xlabel('Users per cell');
ylabel('System capacity (bits/s/Hz)');
legend('K00', 'K00-P', 'K20', 'K20-P', 'K50', 'K50-P', 'Location', 'SouthEast');

% figure(2);
% plot(users, sum_cap_full_pow/number_simulations,'k');
% hold on;
% plot(users, sum_cap_p_min_0/number_simulations,'k--');
% plot(users, sum_cap_p_min_04/number_simulations,'k-.');
% plot(users, sum_cap_p_min_06/number_simulations,'k:');
% hold off;
% xlabel('Users per cell');
% ylabel('System capacity (bits/s/Hz)');
% legend('Full power', 'P_{min}=0', 'P_{min}=0.4', 'P_{min}=0.6', 'Location', 'SouthEast');

% figure(3);
% plot(users, sum_cap_full_pow_rice/number_simulations,'k');
% hold on;
% plot(users, sum_cap_rice_p_min_0/number_simulations,'k--');
% plot(users, sum_cap_rice_p_min_01/number_simulations,'k-.');
% plot(users, sum_cap_rice_p_min_02/number_simulations,'k:');
% plot(users, sum_cap_full_pow/number_simulations,'r');
% plot(users, sum_cap_p_min_0/number_simulations,'r--');
% plot(users, sum_cap_p_min_01/number_simulations,'r-.');
% plot(users, sum_cap_p_min_02/number_simulations,'r:');
% hold off;
% %axis([1 20 10 35])
% xlabel('Users per cell');
% ylabel('System capacity (bits/s/Hz)');
% legend('Full power', 'P_{min}=0', 'P_{min}=0.1', 'P_{min}=0.2', 'Full power', 'P_{min}=0', 'P_{min}=0.1', 'P_{min}=0.2', 'Location', 'SouthEast');