%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Script for presentation of        %
% simulation results for 2 cells.   %
% Author: Sigbj?rn Dybdahl          %   
% Last edited: 26. February 2007    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all; close all; clc;

% Load simulation data
load simul_scheduling/r_1000/ic_100/p_min_0/choice_pfsp_vs_max.mat;
choice_pfsp_vs_max_pmin0=choice_pfsp_vs_max;
load simul_scheduling/r_1000/ic_100/p_min_0/choice_pfs_vs_max.mat;
choice_pfs_vs_max_pmin0=choice_pfs_vs_max;
load simul_scheduling/r_1000/ic_100/p_min_0/choice_pfs_vs_pfsp.mat;
choice_pfs_vs_pfsp_pmin0=choice_pfs_vs_pfsp;

load simul_scheduling/r_1000/ic_100/p_min_01/choice_pfsp_vs_max.mat;
choice_pfsp_vs_max_pmin01=choice_pfsp_vs_max;
load simul_scheduling/r_1000/ic_100/p_min_01/choice_pfs_vs_max.mat;
choice_pfs_vs_max_pmin01=choice_pfs_vs_max;
load simul_scheduling/r_1000/ic_100/p_min_01/choice_pfs_vs_pfsp.mat;
choice_pfs_vs_pfsp_pmin01=choice_pfs_vs_pfsp;
 
% load simul_scheduling/p_min_02/choice_pfsp_vs_max.mat;
% choice_pfsp_vs_max_pmin02=choice_pfsp_vs_max;
% load simul_scheduling/p_min_02/choice_pfs_vs_max.mat;
% choice_pfs_vs_max_pmin02=choice_pfs_vs_max;
% load simul_scheduling/p_min_02/choice_pfs_vs_pfsp.mat;
% choice_pfs_vs_pfsp_pmin02=choice_pfs_vs_pfsp;

% load simul_scheduling/p_min_0/freq_cand_max.mat;
% freq_cand_max_pmin0=freq_cand_max;
% load simul_scheduling/p_min_0/freq_cand_pfspow.mat;
% freq_cand_pfspow_pmin0=freq_cand_pfspow;
% load simul_scheduling/p_min_01/freq_cand_max.mat;
% freq_cand_max_pmin01=freq_cand_max;
% load simul_scheduling/p_min_01/freq_cand_pfspow.mat;
% freq_cand_pfspow_pmin01=freq_cand_pfspow;
% load simul_scheduling/p_min_02/freq_cand_max.mat;
% freq_cand_max_pmin02=freq_cand_max;
% load simul_scheduling/p_min_02/freq_cand_pfspow.mat;
% freq_cand_pfspow_pmin02=freq_cand_pfspow;


% Plotting the results

% figure(1);
% subplot(3,1,1), bar(choice_pfsp_vs_max_pmin0, 'group')
% axis([0 11 0 100]);
% title('Max-Cap-P vs V-PFS-P user selection for P_{min}=0');
% subplot(3,1,2), bar(freq_cand_max_pmin0, 'group')
% axis([0 11 0 100]);
% title('Power allocation selection for Max-Cap-P');
% subplot(3,1,3), bar(freq_cand_pfspow_pmin0, 'group')
% axis([0 11 0 100]);
% title('Power allocation selection for V-PFS-P');
% xlabel('Users per cell');
% 
% figure(2);
% subplot(3,1,1), bar(choice_pfsp_vs_max_pmin01, 'group')
% axis([0 11 0 100]);
% title('Max-Cap-P vs V-PFS-P user selection for P_{min}=0.1');
% subplot(3,1,2), bar(freq_cand_max_pmin01, 'group')
% axis([0 11 0 100]);
% title('Power allocation selection for Max-Cap-P');
% subplot(3,1,3), bar(freq_cand_pfspow_pmin01, 'group')
% axis([0 11 0 100]);
% title('Power allocation selection for V-PFS-P');
% xlabel('Users per cell');
% 
% figure(3);
% subplot(3,1,1), bar(choice_pfsp_vs_max_pmin02, 'group')
% axis([0 11 0 100]);
% title('Max-Cap-P vs V-PFS-P user selection for P_{min}=0.2');
% subplot(3,1,2), bar(freq_cand_max_pmin02, 'group')
% axis([0 11 0 100]);
% title('Power allocation selection for Max-Cap-P');
% subplot(3,1,3), bar(freq_cand_pfspow_pmin02, 'group')
% axis([0 11 0 100]);
% title('Power allocation selection for V-PFS-P');
% xlabel('Users per cell');

figure(4);
subplot(3,1,1), bar(choice_pfsp_vs_max_pmin0, 'group');
axis([0 11 0 100]);
title('Max-Cap-P vs V-PFS-P user selection for P_{min}=0');
ylabel('% of simulations');
subplot(3,1,2), bar(choice_pfs_vs_max_pmin0, 'group');
axis([0 11 0 100]);
title('Max-Cap-P vs V-PFS user selection for P_{min}=0');
ylabel('% of simulations');
subplot(3,1,3), bar(choice_pfs_vs_pfsp_pmin0, 'group');
axis([0 11 0 100]);
title('V-PFS vs V-PFS-P user selection for P_{min}=0');
ylabel('% of simulations');
xlabel('Users per cell');

figure(5);
subplot(3,1,1), bar(choice_pfsp_vs_max_pmin01, 'group');
axis([0 11 0 100]);
title('Max-Cap-P vs V-PFS-P user selection for P_{min}=0.1');
ylabel('% of simulations');
subplot(3,1,2), bar(choice_pfs_vs_max_pmin01, 'group');
axis([0 11 0 100]);
title('Max-Cap-P vs V-PFS user selection for P_{min}=0.1');
ylabel('% of simulations');
subplot(3,1,3), bar(choice_pfs_vs_pfsp_pmin01, 'group');
axis([0 11 0 100]);
title('V-PFS vs V-PFS-P user selection for P_{min}=0.1');
ylabel('% of simulations');
xlabel('Users per cell');

% figure(6);
% subplot(3,1,1), bar(choice_pfsp_vs_max_pmin02, 'group');
% axis([0 11 0 100]);
% title('Max-Cap-P vs V-PFS-P user selection for P_{min}=0.2');
% subplot(3,1,2), bar(choice_pfs_vs_max_pmin02, 'group');
% axis([0 11 0 100]);
% title('Max-Cap-P vs V-PFS user selection for P_{min}=0.2');
% subplot(3,1,3), bar(choice_pfs_vs_pfsp_pmin02, 'group');
% axis([0 11 0 100]);
% title('V-PFS vs V-PFS-P user selection for P_{min}=0.2');
% xlabel('Users per cell');